clang 10.0.0git

Public Attributes | List of all members
clang::FunctionType::FunctionTypeExtraBitfields Struct Reference

A simple holder for various uncommon bits which do not fit in FunctionTypeBitfields. More...

`#include "clang/AST/Type.h"`

Collaboration diagram for clang::FunctionType::FunctionTypeExtraBitfields:
[legend]

## Public Attributes
unsigned | NumExceptionType
| The number of types in the exception specification. More...

## Detailed Description

A simple holder for various uncommon bits which do not fit in FunctionTypeBitfields.

Aligned to alignof(void *) to maintain the alignment of subsequent objects in TrailingObjects. You must update hasExtraBitfields in FunctionProtoType after adding extra data here.

Definition at line 3656 of file Type.h.

## Member Data Documentation

## ◆ NumExceptionType

unsigned clang::FunctionType::FunctionTypeExtraBitfields::NumExceptionType

The number of types in the exception specification.

A whole unsigned is not needed here and according to [implimits] 8 bits would be enough here.

Definition at line 3660 of file Type.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/Type.h